﻿using System.Windows.Forms;
using Sdl.Desktop.IntegrationApi;
using Sdl.Desktop.IntegrationApi.Extensions;
using Sdl.TranslationStudioAutomation.IntegrationApi;

namespace MySampleRibbonGroup
{
	internal class MySampleRibbonGroupActions
	{
		[Action("MySampleRibbonGroupActions_ActionId", typeof(FilesController), 
			Name = "Action 1")]
		[ActionLayout(typeof(MySampleRibbonGroup), 3, DisplayType = DisplayType.Large)]
		public class MySampleRibbonGroupActions_Action1 : AbstractViewControllerAction<FilesController>
		{
			protected override void Execute()
			{
				MessageBox.Show("Hello, Trados!");
			}
		}
	}
}
